main()
{
	level._effect["smoke"] = loadfx ("fx/smoke/ash_smoke.efx");
	maps\mp\_fx::loopfx("smoke", (-312.7, 7454.9, 51.6), 0.4);

	level._effect["smoke"] = loadfx ("fx/smoke/ash_smoke.efx");
	maps\mp\_fx::loopfx("smoke", (-1215.5, 3605.9, 85.8), 0.4);


	level._effect["smoke"] = loadfx ("fx/smoke/ash_smoke.efx");
	maps\mp\_fx::loopfx("smoke", (-330.3, 7203.7, 74.0), 0.4);

	level._effect["smoke"] = loadfx ("fx/smoke/ash_smoke.efx");
	maps\mp\_fx::loopfx("smoke", (-364.7, 7601.3, 59.3), 0.4);

	level._effect["smoke"] = loadfx ("fx/smoke/ash_smoke.efx");
	maps\mp\_fx::loopfx("smoke", (-396.7, 7069.3, 80.4), 0.4);
	
        level._effect["fire"] = loadfx ("fx/fire/BarrelFire.efx");
	maps\mp\_fx::loopfx("fire", (-18.7, 713.1, 59.0), 0.4);
	level._effect["smoke"] = loadfx ("fx/smoke/ash_smoke.efx");
	maps\mp\_fx::loopfx("smoke", (-18.7, 713.1, 29.0), 0.4);

	level._effect["fire"] = loadfx ("fx/fire/BarrelFire.efx");
	maps\mp\_fx::loopfx("fire", (1234.3, 6769.5, 118.3), 0.4);
	level._effect["smoke"] = loadfx ("fx/smoke/ash_smoke.efx");
	maps\mp\_fx::loopfx("smoke", (1234.3, 6769.5, 88.3), 0.4);

	level._effect["fire"] = loadfx ("fx/fire/BarrelFire.efx");
	maps\mp\_fx::loopfx("fire", (-2805.4, 90.2, 47.5), 0.4);
	level._effect["smoke"] = loadfx ("fx/smoke/ash_smoke.efx");
	maps\mp\_fx::loopfx("smoke", (-2805.4, 90.2, 17.5), 0.4);

	setCullFog (0, 13500, .32, .36, .40, 0);
	ambientPlay("ambient_mp_dawnville");
	
	maps\mp\_load::main();
        maps\mp\autoradio::main();
        maps\mp\raiders_fx::main();
	maps\mp\_rotate::main();
	maps\mp\radsound::main();

	game["allies"] = "american";
	game["axis"] = "german";

	game["american_soldiertype"] = "airborne";
	game["american_soldiervariation"] = "normal";
	game["german_soldiertype"] = "waffen";
	game["german_soldiervariation"] = "normal";

	game["attackers"] = "allies";
	game["defenders"] = "axis";

	level thread planes();

	game["layoutimage"] = "";

	//retrival settings
	level.obj["Code Book"] = (&"RE_OBJ_CODE_BOOK");
	game["re_attackers"] = "allies";
	game["re_defenders"] = "axis";
	//game["re_attackers_obj_text"] = (&"RE_OBJ_DEPOT_OBJ_ATTACKER");
	//game["re_defenders_obj_text"] = (&"RE_OBJ_DEPOT_OBJ_DEFENDER");
	//game["re_spectator_obj_text"] = (&"RE_OBJ_DEPOT_OBJ_SPECTATOR");
	//game["re_attackers_intro_text"] = (&"RE_OBJ_DEPOT_SPAWN_ATTACKER");
	//game["re_defenders_intro_text"] = (&"RE_OBJ_DEPOT_SPAWN_DEFENDER");

	//hq settings
	if (getcvar("g_gametype") == "hq")
	{
		radio = spawn ("script_model", (0,0,0));
		radio.origin = (-2743.8, 6280.1, 24);
		radio.angles = (0, 0, 0);
		radio.targetname = "hqradio";
		radio = spawn ("script_model", (0,0,0));
		radio.origin = (-4199.5, -65.0, 23);
		radio.angles = (0, 0, 0);
		radio.targetname = "hqradio";
		radio = spawn ("script_model", (0,0,0));
		radio.origin = (-575.7, -1088.0, 24);
		radio.angles = (0, 0, 0);
		radio.targetname = "hqradio";
		radio = spawn ("script_model", (0,0,0));
		radio.origin = (-130.5, 3357.6, 24);
		radio.angles = (0, 0, 0);
		radio.targetname = "hqradio";
		radio = spawn ("script_model", (0,0,0));
		radio.origin = (1199.4, 7406.3, 24);
		radio.angles = (0, 90, 0);
		radio.targetname = "hqradio";
		radio = spawn ("script_model", (0,0,0));
		radio.origin = (-659.7, 2278.2, 24);
		radio.angles = (0, 0, 0);
		radio.targetname = "hqradio";
		radio = spawn ("script_model", (0,0,0));
		radio.origin = (-1323.1, 6847.9, 24);
		radio.angles = (0, 0, 0);
	}
}

planes()
{
	level.PlaneSpeed = 3.5;
	
	stuka1 = getent ("stuka1","targetname");
	stuka2 = getent ("stuka2","targetname");
	stuka3 = getent ("stuka3","targetname");
	
	temp = getent (stuka1.target,"targetname");
	stuka1.dest = temp.origin;
	stuka1.start = stuka1.origin;
	stuka1 hide();
	temp = getent (stuka2.target,"targetname");
	stuka2.dest = temp.origin;
	stuka2.start = stuka2.origin;
	stuka2 hide();
	temp = getent (stuka3.target,"targetname");
	stuka3.dest = temp.origin;
	stuka3.start = stuka3.origin;
	stuka3 hide();
	
	wait 2;
	

	while (1)
	{
		// Make three planes flyby slightly behind each other and play the sound
		stuka1 thread plane_flyby("stuka_flyby");
		wait .15;
		stuka2 thread plane_flyby("stuka_flyby");
		wait .15;
		stuka3 thread plane_flyby("stuka_flyby");
		
		// Wait 60 (30) seconds and make them fly by again
		wait 180;
	}
}

plane_flyby(sound)
{
	if (isdefined (sound))
		self playsound (sound);
	
	wait 15;
	
	self show();
	
	self moveto(self.dest, level.PlaneSpeed, 0.1, 0.1);
	
	wait level.PlaneSpeed;
	
	self hide();
	self.origin = self.start;
}
